### Enumeration

# EDataBook BookSqliteError

#### Declaration

    enum EDataBook.BookSqliteError

#### Description [src]

Defines the types of possible errors reported by the `EBookSqlite`.

#### Members

`E_BOOK_SQLITE_ERROR_ENGINE`

  An error was reported from the SQLite engine.

  - Value: `0`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_CONSTRAINT`

  The error occurred due to an explicit constraint, this will happen when attempting to add two contacts with the same UID.

  - Value: `1`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_CONTACT_NOT_FOUND`

  A contact was not found by UID (this is different from a query that returns no results, which is not an error).

  - Value: `2`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_INVALID_QUERY`

  A query was invalid. This can happen if the search expression could not be parsed or if a phone number query contained non-phonenumber input.

  - Value: `3`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_UNSUPPORTED_QUERY`

  A query was not supported.

  - Value: `4`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_UNSUPPORTED_FIELD`

  An unsupported `EContactField` was specified in the summary.

  - Value: `5`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_END_OF_LIST`

  An attempt was made to fetch results past the end of a contact list.

  - Value: `6`
  - Available since: 1.2
`E_BOOK_SQLITE_ERROR_LOAD`

  An error occured while loading or creating the database.

  - Value: `7`
  - Available since: 1.2